#ifndef MESSAGEEDITOR_H
#define MESSAGEEDITOR_H

#include <kdialogbase.h>

class TQComboBox;
class KTextEdit;

class MessageEditor : public KDialogBase {
    Q_OBJECT
  TQ_OBJECT
  public:
    MessageEditor( TQWidget *parent );

  protected slots:
    void slotOk();

  private slots:
    void addButton();
    void removeButton();
    void changeMessage();
    void saveMessage();
    void updateMessage();
    void updateConfig();
    
  private:
    TQComboBox *mSelectionCombo;
    KTextEdit *mMessageEdit;
    
    TQString mCurrentButton;
    TQMap <TQString,TQString> mMessageButtons;
};

#endif
